Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PiggybackObjectOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.ObjectOutputStream
                  |
                  +--oracle.jbo.common.PiggybackObjectOutputStream

public class PiggybackObjectOutputStream
extends java.io.ObjectOutputStream

This class is a helper class for Client Service to do piggybacking.

Version:
  SDK

Inner classes inherited from class java.io.ObjectOutputStream
`java.io.ObjectOutputStream.PutField`

Constructor Summary
`PiggybackObjectOutputStream(java.io.OutputStream out, java.util.Locale locale, ApplicationModule am)` protected PiggybackObjectOutputStream(Locale locale) throws IOException { super(); mLocale = locale; }

Method Summary
`ApplicationModule` | `getApplicationModule()`
`java.util.Locale` | `getLocale()`

Methods inherited from class java.io.ObjectOutputStream
`annotateClass, close, defaultWriteObject, drain, enableReplaceObject, flush, putFields, replaceObject, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeObjectOverride, writeShort, writeStreamHeader, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PiggybackObjectOutputStream

    public PiggybackObjectOutputStream(java.io.OutputStream out,
                                       java.util.Locale locale,
                                       ApplicationModule am)
                                throws java.io.IOException

  protected PiggybackObjectOutputStream(Locale locale) throws IOException { super(); mLocale = locale; }

Method Detail

### getLocale

    public java.util.Locale getLocale()

### getApplicationModule

    public ApplicationModule getApplicationModule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD